For the complete documentation index, see llms.txt. This page is also available as Markdown.

POST /Requests/ChangePermission

Creates a change permission request.

post
Authorizations
X-API-KEYstringRequired

Public API key used to identify the client application. It should be included in all requests.

Header parameters
X-API-SECRETstringRequired

API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.

Example: YOUR_API_SECRET
Body

Request to create a new change permission request.

createdByUserIdstring · uuidRequired

User that appears as creator of the request.

targetUserIdstring · uuidRequired

Identifier of the user for which permission level is being changed.

workAppIdstring · uuidRequired

Identifier of the work app for which permission level is being changed.

changePermissionPurposestring · min: 1 · max: 1024Required

Purpose or reason for the change permission request.

permissionLevelIdstring · uuidRequired

The new permission level for the user

Responses
201

Created

Result of a successful request creation.

requestIdstring · min: 1Required

Unique identifier of the created request.

post/api/v1/Requests/ChangePermission

Last updated

Was this helpful?